commit 3b914627445d66c2f8277abe288ccb8cc01fd8ab
Author: freddy77 <freddy77>
Date:   Wed May 12 08:00:10 2010 +0000

    workaround for header incompatibility

diff --git a/ChangeLog b/ChangeLog
index cf6b86f..4043ceb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed May 12 09:59:17 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: workaround for header incompatibility
+
 Mon May 10 17:10:10 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds_sysdep_private.h src/dblib/dbopen.c:
 	- improve Visual Studio compile
@@ -2432,4 +2435,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3018 2010/05/10 15:10:42 freddy77 Exp $
+$Id: ChangeLog,v 1.3019 2010/05/12 08:00:10 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index 953f576..5fe7d72 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -107,7 +107,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.102 2010/03/01 12:38:10 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.103 2010/05/12 08:00:11 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
@@ -148,8 +148,12 @@ _tds_socket_done(void)
 }
 #endif
 
-#if !defined(SOL_TCP) && defined(IPPROTO_TCP)
-#define SOL_TCP IPPROTO_TCP
+#if !defined(SOL_TCP) && (defined(IPPROTO_TCP) || defined(_WIN32))
+/* fix incompatibility between MS headers */
+# ifndef IPPROTO_TCP
+#  define IPPROTO_TCP IPPROTO_TCP
+# endif
+# define SOL_TCP IPPROTO_TCP
 #endif
 
 /* Optimize the way we send packets */

